# Created by pyp2rpm-3.3.0
%global pypi_name neovim-remote
%define version 2.5.1

Name:           python-neovim-remote
Version:        %{version}
Release:        %mkrel 1
Group:          Editors
Summary:        Control nvim processes using "nvr" commandline tool

License:        MIT
URL:            https://github.com/mhinz/neovim-remote
Source0:        https://github.com/mhinz/neovim-remote/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
 
%description
This package provides an executable called nvr which solves these cases:
- Controlling nvim processes from the shell. E.g. opening files in another
  terminal window.
- Opening files from within :terminal without starting a nested nvim process.

%package -n	python3-%{pypi_name}
Summary:	Control nvim processes using "nvr" commandline tool
Group:          Editors
%{?python_provide:%python_provide python3-%{pypi_name}}

Provides:       neovim-remote = %{version}-%{release}

Requires:       python3dist(psutil)
Requires:       python3dist(pynvim) >= 0.3.1
Requires:       python3dist(setuptools)
Requires:       neovim

%description -n	python3-%{pypi_name}
This package provides an executable called **nvr** which solves these cases:
- Controlling nvim processes from the shell. E.g. opening files in another
  terminal window.
- Opening files from within :terminal without starting a nested nvim process.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{py3_build}

%install
%{py3_install}

%files -n	python3-%{pypi_name}
%doc README.md
%{_bindir}/nvr
%{python3_sitelib}/nvr
%{python3_sitelib}/neovim_remote-%{version}-py%{python3_version}.egg-info


%changelog
* Thu May 19 2022 kekepower <kekepower> 2.5.1-1.mga9
+ Revision: 1859284
- Update to version 2.5.1

* Wed Mar 23 2022 umeabot <umeabot> 2.4.0-5.mga9
+ Revision: 1823556
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 2.4.0-4.mga9
+ Revision: 1783648
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.4.0-3.mga9
+ Revision: 1732638
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 2.4.0-2.mga8
+ Revision: 1540394
- Mageia 8 Mass Rebuild

* Sun Dec 15 2019 kekepower <kekepower> 2.4.0-1.mga8
+ Revision: 1467772
- Update to version 2.4.0

* Mon Oct 14 2019 kekepower <kekepower> 2.2.2-1.mga8
+ Revision: 1453051
- Update to version 2.2.2

* Sat Aug 17 2019 kekepower <kekepower> 2.2.0-1.mga8
+ Revision: 1429476
- Update to version 2.2.0

* Sun Jul 14 2019 kekepower <kekepower> 2.1.9-1.mga8
+ Revision: 1421433
- Update to version 2.1.9

* Sun Mar 31 2019 kekepower <kekepower> 2.1.7-1.mga7
+ Revision: 1383724
- Update to version 2.1.7

* Sun Mar 24 2019 kekepower <kekepower> 2.1.6-1.mga7
+ Revision: 1380045
- Update to version 2.1.6

* Wed Feb 20 2019 kekepower <kekepower> 2.1.5-1.mga7
+ Revision: 1368641
- Update to version 2.1.5

* Tue Jan 08 2019 kekepower <kekepower> 2.1.4-2.mga7
+ Revision: 1352571
- Now provides neovim-remote
- Moved the requires to the py3 package
- Update to version 2.1.4

* Mon Jan 07 2019 kekepower <kekepower> 2.1.3-2.mga7
+ Revision: 1351044
- Rebuild for Python 3.7

* Sat Dec 22 2018 kekepower <kekepower> 2.1.3-1.mga7
+ Revision: 1344555
- Update to version 2.1.3

* Sat Nov 17 2018 kekepower <kekepower> 2.1.1-2.mga7
+ Revision: 1330481
- Use python3dist(pynvim)
- Update to version 2.1.1
- Require the new python-pynvim
- Use python_provide

* Wed Oct 17 2018 kekepower <kekepower> 2.1.0-2.mga7
+ Revision: 1321248
- Update to version 2.1.0

* Thu Sep 20 2018 umeabot <umeabot> 2.0.10-2.mga7
+ Revision: 1289479
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 kekepower <kekepower> 2.0.10-1.mga7
+ Revision: 1248847
- Update to version 2.0.10

* Tue Jun 12 2018 kekepower <kekepower> 2.0.7-1.mga7
+ Revision: 1236547
- Update to version 2.0.7

* Mon Jun 11 2018 kekepower <kekepower> 2.0.6-1.mga7
+ Revision: 1236413
- Update to version 2.0.6

* Tue Apr 10 2018 kekepower <kekepower> 2.0.5-1.mga7
+ Revision: 1217247
- Update to version 2.0.5

* Sat Mar 31 2018 kekepower <kekepower> 2.0.4-1.mga7
+ Revision: 1213727
- Update to version 2.0.4

* Fri Mar 23 2018 kekepower <kekepower> 2.0.2-1.mga7
+ Revision: 1211553
- Update to version 2.0.2

* Tue Mar 20 2018 kekepower <kekepower> 2.0.0-1.mga7
+ Revision: 1210760
- Update to version 2.0.0

* Mon Mar 19 2018 kekepower <kekepower> 1.9.6-1.mga7
+ Revision: 1210339
- Update to version 1.9.6

* Sun Mar 18 2018 kekepower <kekepower> 1.9.5-1.mga7
+ Revision: 1210313
- Update to version 1.9.5

* Tue Mar 13 2018 kekepower <kekepower> 1.9.4-1.mga7
+ Revision: 1208805
- Update to version 1.9.4

* Mon Mar 12 2018 kekepower <kekepower> 1.9.3-1.mga7
+ Revision: 1208670
- Update to version 1.9.3

* Wed Mar 07 2018 kekepower <kekepower> 1.9.2-2.mga7
+ Revision: 1207081
- Source package renamed to python-neovim-remote
- Rename project to python-neovim-remote

* Fri Mar 02 2018 kekepower <kekepower> 1.9.2-1.mga7
+ Revision: 1206010
- New package: python3-neovim-remote

